<h4><%= Tools::Image.model_name.human.pluralize %></h4>

<table data-tablesort='true' data-toggle="tablesort" class="tablesorter">
  <thead>
    <tr>
      <th>Infos</th>
      <th>Image</th>
      <th colspan="2"></th>
    </tr>
  </thead>

  <tbody>
    <% last_tr = -1 %>
    <% @tools_images.each do |tools_image| %>

      <% if tools_image.tool_reference != last_tr %>
        </tbody>
        <tbody  class="tablesorter-no-sort">
          <tr><th colspan="7" class='task-block-line'><%= Tools::DocumentPresenter.new(tools_image).show_document_step_role %></th></tr>
        </tbody>
        <tbody>
      <% end %>
      <% last_tr = tools_image.tool_reference %>
      <tr>
        <td>
          <p><b>Filename : </b><%= tools_image.file.filename if tools_image.file&.attached? %></p>
          <%= tools_image.name %>
          <br/><%= tools_image.description %>
        </td>
        <td>
          <%#= image_tag tools_image.file %>
          <% aff, show = file_preview(tools_image.file, sx: 700, sy: 700, show_filename: false) %>
          <% if tools_image.file&.attached? %>
            <%= link_to aff.html_safe, url_for(tools_image.file) %>
          <% else %>
            <%= aff %>
          <% end %>
        </td>
        <td><%= link_to fa_icon_edit, edit_tools_image_path(tools_image) %></td>
        <td><%= link_to fa_icon_delete, tools_image, method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= link_to t('.new'), new_tools_image_path(tools_image: {rca_id: @rca.id,
                                                          tool_reference: @step_tool.tool_reference,
                                                          tool_num: @step_tool.tool_num}),
                       class: 'btn btn-outline-warning' %>
